Skip to main content

Reject task instance

POST 

/flow_instances/:flowInstanceId/relationships/container_instances/:containerInstanceId/relationships/process_instances/:processInstanceId/relationships/task_instances/:taskInstanceId/reject

Only the Form Approval task instance can be rejected

Request​

Path Parameters

    flowInstanceId stringrequired

    The workflow instance id

    Example: aa18a31a-0bcf-48d1-9350-a6ae49900111
    containerInstanceId stringrequired

    The container instance id

    Example: t318a31a-0bcf-48d1-9350-a6ae499007c0
    processInstanceId stringrequired

    The process instance id

    Example: defde76c-3f1d-4b24-8929-87ed70ea23d6
    taskInstanceId stringrequired

    The task instance id

    Example: 3415f91d-a54c-455b-8ee3-51227dbe4f40

Header Parameters

    X-Domain stringrequired

    Every request should has X-Domain Header, in the UUIDv4 format. The X-Domain can be get from the Tenant Integrations page

    X-API-KEY stringrequired

    An X-API-KEY key is a token that a client provides with a X-API-SECRET when making API calls, used instead of the JWT

    X-API-SECRET stringrequired

    An X-API-SECRET key is a token that a client provides with a X-API-KEY when making API calls, used instead of the JWT

Body

    data

    object

    relationships

    object

    forward_notifications

    object

    data

    object

    attributes

    object

    reference string

    The reference of the task instance

    relationships

    object

    assignee

    object

    data

    object

    id string

    The id of the user who is a assignee of the task instance

Responses​

The "true" value of the acknowledge means that the request is correct and the "false" is incorrect

Schema

    acknowledge boolean

    The value of the acknowledge

Loading...